EXP1803 - bugs #142

Developing # 134 (OTkpbiTa): CMynsiLns 3KCNeprMeHTa - Nepeoe NpubnmxeHne
bugs # 170 (OtkpbiTa): YCTpaHeHne owmnbok

Mo3numa NyykoBom YacTuLbl Ha MULLEHU

02/18/2018 04:02 AM - Vratislav Chudoba

Status: 3akpbiTa Start date: 02/18/2018
Priority: HeoTnoxXHblii Due date: 02/19/2018
Assignee: Mikhail Kozlov % Done: 100%
Category: Estimated time: 0.00 hour
Target version:

Description
Ecnu 3apaem nydyek cnegytowmm obpasom

Double32_t kin_energy = kinE_MevPerNucleon * 1e-3 * A; //GeV
generator->SetKinE(kin_energy);
generator->SetPSigmaOverP(0);

generator->SetThetaRange(0., 0.);

generator->SetPhiRange(0, 360);

generator->SetBoxXYZ(x1, x2, 0, 0, beamStartPosition);
generator->SpreadingOnTarget();

TO PEKOHCTPYKUMS BbloaeT 3HaveHus BeamDetTrack.fYt n BeamDetTrack.fXt Ha NONOBUHY MEHbLIE 0XNOAEMOTO.

KpOMe TOro, He 04eHb NOXoXxe Ha T0o, 4YTO OTCeMBaeM CO6bITVI9|, B KOTOPbIX MHOXECTBEHHOCTb cpa60TaBumx npoBOJly4eK Ha BCex

MNOCKOCTAX paBHaA eounHULe.

Related issues:

Related to Developing #135: MNpoBepka pekoHcTpykunm BeamDet 3akpbiTa 02/17/2018 02/20/2018

History

#1 - 02/18/2018 05:22 AM - Vratislav Chudoba
- Description updated

- Due date changed from 02/20/2018 to 02/19/2018

#2 - 02/18/2018 03:30 PM - Sergey Belogurov

- Assignee set to Mikhail Kozlov

Mwvw, 310 k Bam. Hano nNpoBEepPUTb NONOXEHME rpaHnL, HyBCTBUTENIbHbIX 06beMOB U TO, 4TO NPOBOJIOYKA (T.e. CYNTaHHa ﬂKOOp,ElI/IHaTa)
HraxoguTcda B cepefunHe 4yBCTBUTENIbHOrO oﬁbema, a TakXxe T0, 4TO BCE 3/IeMEHTbl reoMeTpun OTLUEHTPOBaHbI B MIOCKOCTN XY/

#3 - 02/18/2018 06:03 PM - Mikhail Kozlov

OTtcemnBaHue cobbiTHil C MHOXECTBEHHOCTbI0 60/blle NN MEHbLIE €ANHNLbI pa60TaeT.

Ecnu s npaBunbHO NoHsN cyTb Npobnemsl, To ownbka 34ech:
generator->SetBoxXYZ(x1, x2, 0, 0, beamStartPosition);

MeTon 3apaet SetBoxXYZ() 3apaeT paBHOMEPHOE pcnpenenexme Ha oTpeskax no Xum Y.
http://er.jinr.ru/doxygen/class_e_r_ion_generator.html#aa5117cb894dead1ecd31302d9¢c63cb81 .

Ecnu 3apatbecsa napametpamn generator->SetBoxXYZ(1, 1, 1, 1, beamStartPosition) , To pekoHCTpykUUS cnepytowas:
http://er.jinr.ru/doxygen/class_e_r_ion_generator.html#aa5117cb894dead1ecd31302d9c63cb81
#4 - 02/19/2018 01:03 AM - Vratislav Chudoba

Ceityac ectb BEPOATHOCTb TOro, 4T0 NO3nUMNA Ha MULLEHN PEKOHCTPYMUPYETCA NpaBuNbHO.

I'Ip06neMa C MHOXECTBEHHOCTIO ocTaetcs. L3 KapTUHKK BUWOHO, 4TO MHOXXECTBEHHOCTb TO/IbKO B MNOCKOCTN X1 roe-1o okono 50 (TaK nony4unnocb
nocne BeeAeHNS NOpPoros C NMoMoLLbo OYHKLUKN

beamDetDigitizer->SetMWPCElossThreshold(0.000002);

B Makpoce. Ho cuMMmynsiums HacTanBaeT Ha TOM, 4TO B MuweHn BuamM 1000 Touek u3 1000 pasbirpaHHbix. BoaMoxHo npobnema 3aknoyaercs B
TOM, 4TO dpyHKUMa ERBeamDetTrack::Clear() Ha camom aene nyctas u BbidbiBaeT doyHkumto TNamed::Clear().
#5 - 02/19/2018 03:49 AM - Vratislav Chudoba
- Parent task deleted (#135)

#6 - 02/19/2018 03:49 AM - Vratislav Chudoba
- Related to Developing #135: lNpoBepka pekoHcTpykumn BeamDet added

#7 - 02/20/2018 05:10 PM - Mikhail Kozlov

Owwubka Gbina cBsizaHa UCMyNb3yeMbIM KNacCoM CUMYNSILMK 13-3a TOTO, YTO Y HAC B OAHOM Makpoce cobpaHbl BCe Tacku 0T CUMYNSLMU A0
PEKOHCTPYKLNMU.

Ceityac s pasnenun workflow Ha ABa Makpoca: CuMynsaums + OUAXUTM3auns 0TAENbHO, PEKOHCTPYKLUMS - OTAENBHO.

MomuMo TOro, YTO Tenepb KOPPeKTHO paboTaeT 0TOOP NO MHOXECTBEHHOCTW, TaKoe pasfeNeHrne XOPoLwOo BNUCLIBAETCS B KOHLENLWIO, NMPKU KOTOPOW
y Hac obwas npouenypa 06paboTku fencTBUTENbHA A5 AAHHbIX MONYYEHHBIX C peanbHOW annapaTtypbl ¥ CUMY NSILN.

WNameHnncs cnocob 3anaHns maccel B ERBeamDetPID. MoxHo ucnonb3oaTthb pid->SetlonMassNumber(A), B aToM cnyyae macca cumTtaeTcs kak
npousseneHne A*kProtonMass (Macca npotoHa u3 6] ROOT). Jlubo HanpsiMyio 3aaaBatb Maccy yepes pid->SetlonMass(mass[GeV]).

#8 - 02/20/2018 07:16 PM - Vratislav Chudoba
- Status changed from OtkpsbiTa to 3akpeiTa

- % Done changed from 0 to 100

#9 - 03/27/2018 05:42 PM - Vratislav Chudoba

- Parent task set to #170

Files

generated_1_1.pdf 23.2 KB 02/18/2018 Vratislav Chudoba
generated_-2_-2.pdf 25.4 KB 02/18/2018 Vratislav Chudoba
